﻿package  {
	
	import flash.display.Sprite;
	import flash.display.MovieClip;
	import flash.display.Stage;
	import flash.display.StageDisplayState;
	import flash.text.TextField;
	import flash.events.MouseEvent;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	
	public class MouseCoordinates extends Sprite {
		
		public var statusField:TextField;
		public var fsButton:MovieClip;
		
		public function MouseCoordinates() {
			fsButton.addEventListener(MouseEvent.CLICK, toggleFullscreen);
			stage.addEventListener(FullScreenEvent.FULL_SCREEN, onFullscreen);
		}
		
		private function toggleFullscreen(e:MouseEvent):void {
			if(stage.displayState == StageDisplayState.FULL_SCREEN){
				stage.displayState = StageDisplayState.NORMAL;
			}else{
				stage.displayState = StageDisplayState.FULL_SCREEN;
			}
			statusField.text = stage.displayState + " \n" + statusField.text;
		}
		
		private function onFullscreen(e:FullScreenEvent):void {
			if(e.fullScreen){
				stage.mouseLock = true;
				stage.addEventListener(MouseEvent.MOUSE_MOVE, onMouseActivity);
			}else{
				stage.removeEventListener(MouseEvent.MOUSE_MOVE, onMouseActivity);
			}
		}
		
		private function onMouseActivity(e:MouseEvent):void {
			statusField.text = "X: " + e.movementX + " Y: " + e.movementY + " \n" + statusField.text;
		}
	}
	
}
